'use strict'
import React, {Component, PropTypes} from 'react';
import {
  View,
  Image,
  Text,
  TouchableHighlight,
} from 'react-native';

import styles from './Styles';

class GroupButton extends Component {
  constructor(props) {
    super(props);
  }

  onChange() {
    if (this.props.onChange) {
      this.props.onChange(!this.props.fSelected);
    }
  }

  render() {
    let defaultImageSource = this.props.fSelected ? this.props.selectedImage : this.props.unselectedImage;

    let subContainer = (
      <View style={this.props.containerStyle || styles.sub_container}>
        <View style={styles.sub_textbg_container}>
          <Text style={[styles.sub_text_container, this.props.textStyle]}>
            {this.props.text}
          </Text>
        </View>
        <Image
          source={defaultImageSource}
          style={this.props.groupButtonStyle || styles.groupbutton_bg_container} />
      </View>
    )

    return (
      <TouchableHighlight
        onPress={() => this.onChange()}
        underlayColor='#FFFFFF'
        style={styles.touch_container}>
        {subContainer}
      </TouchableHighlight>
    )
  }
} export default GroupButton;

GroupButton.propTypes = {
  text: PropTypes.string,
  textStyle: PropTypes.oneOfType([PropTypes.object, PropTypes.number]),
  groupButtonStyle: PropTypes.oneOfType([PropTypes.object, PropTypes.number]),
  containerStyle: PropTypes.oneOfType([PropTypes.object, PropTypes.number]),
  fSelected: PropTypes.bool,
  selectedImage: PropTypes.object,
  unselectedImage: PropTypes.object,
  onChange: PropTypes.func,
};

GroupButton.defaultProps = {
  text: 'Not Set',
  fSelected: false,
  selectedImage: {uri: 'http://7xv8d1.com1.z0.glb.clouddn.com/custom_checkout_button_enable.png'},
  unselectedImage: {uri: 'http://7xv8d1.com1.z0.glb.clouddn.com/custom_checkout_button_disenable.png'},
};
